## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Enable tests everywhere except EPEL 9, where python-pytest-aiohttp is not backported.
%if 0%{?el9} || 0%{?centos} >= 9
%bcond_with    tests
%else
%bcond_without tests
%endif

%global         srcname     azure-mgmt-web

Name:           python-%{srcname}
Version:        6.1.0
Release:        %autorelease
Summary:        Microsoft Azure Web Apps Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-azure-sdk-tools
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Web Apps Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pyproject_check_import
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Wed Jun 22 2022 Major Hayden <major@redhat.com> 1:6.1.0-5
- Add import check

* Tue Jun 21 2022 Major Hayden <major@redhat.com> 1:6.1.0-4
- Remove obsoletes line

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1:6.1.0-3
- Rebuilt for Python 3.11

* Fri Apr 29 2022 Major Hayden <major@mhtx.net> 1:6.1.0-2
- Disable tests in EPEL 9

* Thu Mar 03 2022 Major Hayden <major@mhtx.net> 1:6.1.0-1
- Update to 6.1.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1:4.0.0-1
- Update to 4.0.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:2.0.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:2.0.0-2
- Add epoch number for 2.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:2.0.0-1
- Downgrade to 2.0.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 3.0.0-1
- Initial import (#1971868)
